# DataExchange
TKSTEP
StepToGeom

# StepToGeom_MakeCircle2d Class Reference

This class implements the mapping between classes
Circle from StepGeom which describes a circle from
Prostep and Circle from Geom2d.
.

`#include <StepToGeom_MakeCircle2d.hxx>`

Inheritance diagram for StepToGeom_MakeCircle2d:

[legend]

## Public Member Functions

void * | operator new (size_t, void *anAddress)
void * | operator new (size_t size)
void | operator delete (void *anAddress)
Standard_EXPORT | StepToGeom_MakeCircle2d (const Handle(StepGeom_Circle)&C)
Standard_EXPORT const Handle_Geom2d_Circle & | Value () const

## Private Attributes

Handle_Geom2d_Circle | theCircle

## Constructor & Destructor Documentation

Standard_EXPORT StepToGeom_MakeCircle2d::StepToGeom_MakeCircle2d | ( | const Handle(StepGeom_Circle)& | C | ) |

## Member Function Documentation

void StepToGeom_MakeCircle2d::operator delete | ( | void * | anAddress | ) | `[inline]`

| Reimplemented from StepToGeom_Root.

void* StepToGeom_MakeCircle2d::operator new | ( | size_t | size | ) | `[inline]`

| Reimplemented from StepToGeom_Root.

void* StepToGeom_MakeCircle2d::operator new | ( | size_t | ,
|  | void * | anAddress
| ) | `[inline]`

| Reimplemented from StepToGeom_Root.

Standard_EXPORT const Handle_Geom2d_Circle& StepToGeom_MakeCircle2d::Value | ( |  | ) | const

## Field Documentation

Handle_Geom2d_Circle StepToGeom_MakeCircle2d::theCircle`[private]`

The documentation for this class was generated from the following file:

- StepToGeom_MakeCircle2d.hxx